Subject: bug#16440: bug#16780: 24.2.91; Emacs crash when C-c C-c on captured item

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Feb 2014 20:04:47 +0200

> From: "Sebastien Vauban" <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Tue, 18 Feb 2014 09:37:45 +0100
> 
> >> > What image types do you have available in the problematic binary?
> >> > This could be some incompatibility between the image libraries against
> >> > which Dani built his binary and the DLLs you have installed on your
> >> > system.  See README.W32 and/or nt/INSTALL for the details.
> >> 
> >> This is mainly on specific faces (not all, just a minority) not being
> >> applied...
> >
> > Your screencast shows a black-and-white Gnu head.  Is that still a
> > problem?
> 
> The Gnu head is with an orange background (#FF8C00). See
> http://screencast.com/t/s6sWP3Nsc.

It is still mono-color, which isn't right.

> That seems to be the invert of what it should (as specified in the
> Leuven theme):
> 
> --8<---------------cut here---------------start------------->8---
>    `(gnus-splash ((,class (:foreground "#FF8C00"))))
> --8<---------------cut here---------------end--------------->8---

That's gnus-splash, not Emacs splash, right?  Or am I missing
something?

> > Then please tell what does evaluating the following produce
> > in "emacs -Q":
> >
> >   (mapcar (lambda (elt)
> > 	    (list (car elt) (image-type-available-p (car elt))))
> > 	  dynamic-library-alist)
> 
> See http://screencast.com/t/SmhmZ629B:
> 
>   ╭────
>   │ ((xpm nil) (png nil) (tiff nil) (jpeg nil) (gif nil) (svg nil)
>   │ (gdk-pixbuf nil) (glib nil) (gobject nil) (gnutls nil) (libxml2 nil)
>   │ (zlib nil))
>   ╰────

You don't have any image libraries available.  If that bothers you,
read README.W32 or nt/INSTALL.

> >> See http://screencast.com/t/m2urFNhsSrN for a comparison, with all
> >> parameters identical (same config file, same theme file), but the
> >> version of the Emacs binary...
> >
> > What faces?  Can you provide a simple, small, self-contained test
> > case?
> 
> New screenshot: http://screencast.com/t/LDKtOSOB.
> 
> Test file:
> 
> --8<---------------cut here---------------start------------->8---
> * Code block
> 
> #+begin_src emacs-lisp
> ;; the above line must be displayed as `org-block-begin-line'
> (message "echo")                        ; a line of code, such as this one, is
>                                         ; displayed as `org-block-background'
> ;; the line below this one must be displayed as `org-block-end-line'
> #+end_src
> 
> * Mail contents
> 
> #+begin_verse
> The "borders" of this block must be displayed as `org-block-begin/end-line'.
> 
> The "inside" must be displayed as `org-verse'...
> 
> Foo
> Bar
> Baz
> #+end_verse
> --8<---------------cut here---------------end--------------->8---

OK, but what should one do with this file, starting with "emacs -Q",
to reproduce the problem?  The screenshot only shows the results, not
what you did to achieve them.